clisp (1:2.49.20210628.gitde01f0f-3+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 25 Oct 2022 19:00:03 +0000

clisp (1:2.49.20210628.gitde01f0f-3) unstable; urgency=medium

  * Team upload.
  * pari-2.15.patch: new patch, fixes FTBFS against pari 2.15.0-2.
    Thanks to Bill Allombert. (Closes: #1020437)
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  * Remove myself from Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Sep 2022 11:46:30 +0200

clisp (1:2.49.20210628.gitde01f0f-2) unstable; urgency=medium

  * Disable PIE when building for ppc64el and s390x as PIE executables get
    loaded at addresses that do not work with clisp's GC.
    Thanks to Michael Hudson-Doyle (LP: #1931531)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Sep 2021 16:54:12 +0200

clisp (1:2.49.20210628.gitde01f0f-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: now track upstream git repository, since it’s unclear when a new
    tarball will be released.
  * d/copyright: reflect upstream changes
  * socket-test.patch: drop patch, applied upstream
  * ppc64el.patch: drop patch, no longer needed
  * Ship additional stuff: the build-aux subdirectory, and the Emacs, Vim and
    Autoconf support files
  * Bump to debhelper 13
  * Add lintian overrides for library-not-linked-against-libc in modules
  * Remove more webbugs in documentation
  * Ship the fastcgi, libsvm and pari modules
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.6.0
  * Add d/upstream/metadata
  * config.patch: new patch, for better Debian integration:
    + use “editor” as default editor (if the EDITOR variable is not set)
    + use “sensible-browser” as default browser
    + if the hyperspec package is installed, use the local CLHS
      (Closes: #963776)
    + if the clisp-doc package is installed, use the locally installed
      implementation notes

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Aug 2021 19:32:34 +0200

clisp (1:2.49.20180218+really2.49.92-3) unstable; urgency=medium

  * socket-test.patch: new patch, fixes FTBFS on mips*, sparc64 and hurd-i386.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Apr 2018 17:43:40 +0200

clisp (1:2.49.20180218+really2.49.92-2) unstable; urgency=medium

  * Disable parallelization when running the testsuite.
  * Drop clisp-hurd-einval-extra.patch: no longer needed.
  * ppc64el.patch: new patch, fixes FTBFS on ppc64el.
  * Set Maintainer to debian-common-lisp@l.d.o.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Apr 2018 14:48:29 +0200

clisp (1:2.49.20180218+really2.49.92-1) experimental; urgency=medium

  * New upstream beta release (2.49.92).
  * d/copyright: reflect upstream changes.
  * Drop patches applied upstream:
    + memory-map-amd64.patch
    + memory-map-arm64.patch
    + memory-map-i386.patch
    + memory-map-mips.patch
    + memory-map-mips64.patch
    + memory-map-s390x.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Feb 2018 17:02:31 +0100

clisp (1:2.49.20180212+really2.49.90-2) experimental; urgency=medium

  * New patches sent by upstream, should fix some FTBFS:
    + memory-map-arm64.patch
    + memory-map-i386.patch
    + memory-map-mips.patch
    + memory-map-mips64.patch
    + memory-map-s390x.patch
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Feb 2018 09:35:19 +0100

clisp (1:2.49.20180212+really2.49.90-1) experimental; urgency=medium

  * New upstream beta release (2.49.90).
  * Update Vcs-* fields for salsa.
  * Remove patches applied upstream / no longer needed:
    + fix-unpack_sstring_alloca_help_.patch
    + glibc-2.26.patch
    + kfreebsd-amd64.diff
    + maxpathlen.patch
    + stream-flags-alignment.patch
  * Drop Build-Depends on dh-lisp.
  * Add Build-Depends on libunistring-dev.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Build against latest libreadline-dev now that CLISP is GPL-2+.
  * Drop obsolete README.source.
  * Bump to debhelper compat level 11.
  * memory-map-amd64.patch: new patch, needed for newer kernels on amd64.
  * Simplify debian/rules, by using --builddirectory option to dh.
    In particular, dh_auto_test will now run the testsuite at build time.
    Also disable -fstack-protector-strong flag, and parallel build.
  * Add Build-Depends on locales-all, needed by the testsuite (which
    requires the en_US.utf8 locale).
  * Simplify package layout: merge clisp-dev, clisp-module-rawsock and
    clisp-module-bindings-glibc into main clisp package.
    Also add Suggests to other modules, which in turn declare an Enhances on
    clisp.
  * Build ASDF module (into main clisp package).
  * Remove -marm on armhf and -fno-split-wide-types on mipsel.
  * Drop bump-fasl-loader-version.patch (Closes: #886986)
  * Add virtual Provides on clisp-memfile-hash-NNNNNN, for use by reverse
    dependencies that embed a lisp image (like xindy).

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Feb 2018 22:01:12 +0100

clisp (1:2.49.20170913-4) unstable; urgency=medium

  * Always build with FFI.
    ffcall now builds and passes testsuite on all release architectures and most
    non-release ones. (Closes: #385490)
  * glibc-2.26.patch: new patch, fixes FTBFS against glibc 2.26.
    (Closes: #880686)
  * On mipsel, re-enable -O2 optimization.
    But add -fno-split-wide-types to avoid FTBFS (still need to determine
    whether it is a compiler bug or a wrong assumption of clisp).
  * No longer directly set DEB_HOST_ARCH (use /usr/include/dpkg/architecture.mk)
  * Drop common-lisp-controller (CLC) integration.
  * Drop obsolete preinst script.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Nov 2017 17:09:11 +0100

clisp (1:2.49.20170913-3) unstable; urgency=medium

  * bump-fasl-loader-version.patch: new patch, bumps ABI version.
    Thanks to Agustin Martin (Closes: #877223)
  * Rewrite d/rules using dh.
  * Register manual and impnotes into doc-base.
  * d/watch: use secure URL, bump to format version 4.
  * Install manpages using dh_installman.
  * Make binary packages arch:any (except those requiring FFI).
  * Remove special flags for m68k, alpha and hppa.
  * No longer hardcode version number in d/rules and d/*.install.
  * Remove obsolete Breaks against c-l-c and cl-adsf.
  * Strip extra "clisp" subdir from documentation install path.
  * Add ghostscript to Build-Depends, for PDF documentation.
  * Remove obsolete Pre-Depends on ${xlibs:PreDepends}.
  * Enforce strict versioned dependency of modules on clisp main package.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Oct 2017 09:59:53 +0200

clisp (1:2.49.20170913-2) unstable; urgency=medium

  * fix-unpack_sstring_alloca_help_.patch: new patch, fixes FTBFS on 32-bit
    little-endian archs.
  * Disable FFI on mips.
  * stream-flags-alignment.patch: new patch, fixes FTBFS on mips.
  * The above changes together should fix FTBFS on armel, armhf, i386, mips and
    mipsel. (Closes: #598152, #751005)
  * Do not use --enable-portability on x86 archs.
  * maxlenpath.patch: new patch by Flavio Cruz. Fixes FTBFS on hurd-i386.
    (Closes: #805701, #801260)
  * Add support for arm64, mips64el, ppc64 and ppc64el.
  * Enable FFI on powerpc.
  * Drop references to dead architectures (ia64, sparc, s390).
  * Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH for determining
    architecture of packages to be built.
  * Add myself to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Sep 2017 21:09:17 +0200

clisp (1:2.49.20170913-1) unstable; urgency=medium

  * Rebuild for new libffcall ABI.
  * Add missing missing build-{arch,indep} targets. Thanks for the patch to
    Santiago Vila. (Closes: #821973)
  * Make clisp-doc Multi-Arch: foreign
  * Imported upstream snapshot of 13 September 2017. This once fixes:
    - the find -perm syntax being outdated. (Closes: #724767)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 01 Jul 2017 08:38:16 +0200

clisp (1:2.49.60+-2) unstable; urgency=medium

  * Use '--enable-portability' as per advice of Bruno Haible.
    this should help with the buildd problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 21:07:54 +0200

clisp (1:2.49.60+-1) unstable; urgency=medium

  * New upstream snapshot release.
    - fixes the -perm problem (Closes: #724767)
  * Imported the changes from experimental:
    * Import patch from Flavio Cruz for hurd, thanks! (Closes: #801260)
    * Remove all patches (apart from hurd/webbugs) for now. Will re-add as
      needed
    * Drop wildcard package; dropped upstream
  * Use the new libsigsegv to build.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 09:47:30 +0200

clisp (1:2.49-10) unstable; urgency=medium

  * Treat s390x the same way s390 is treated (Closes: #733445)
  * wrap build-depends
  * Remove webbugs as found by lintian
  * Bump standard version

 -- Christoph Egger <christoph@debian.org>  Thu, 05 Jun 2014 13:32:34 +0200

clisp (1:2.49-9) unstable; urgency=medium

  * Enable FFI on arm*
  * Import patch from Roland Stigge adding support for powerpcspe
    (Closes: #731648)

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 20:21:22 +0100

clisp (1:2.49-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf to architecture lists
  * Build with -marm on armhf  due to thumb incompatible code (specifically
    code that does not like odd function pointers)
  * apply patch from sourceforce to fix illegal instruction error on newer
    arm hardware caused by arm assembler (thanks to jerry james and tomfor)
    (closes: 684631)
  * Fix build errors with eglibc 2.17 (closes: 701379)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 May 2013 20:39:13 +0000

clisp (1:2.49-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb-dev instead of libdb4.8-dev. Add new patch to
    reflect the fact that Berkeley DB 5.1 no longer supports RPC.
    (Closes: #621377)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 17 Feb 2012 14:23:49 +0100

clisp (1:2.49-8) unstable; urgency=low

  * Replace dependency on libreadline5-dev with libreadline-gplv2-dev to
    follow that sensless rename
  * Import path from Robert Millan to support kfreebsd-amd64 as well
    (Closes: #633454)

 -- Christoph Egger <christoph@debian.org>  Wed, 13 Jul 2011 05:21:23 +0200

clisp (1:2.49-7) unstable; urgency=low

  * Apply a workaround potentially fixing the s390 problem
  * Output some more info in case the above doesn't work

 -- Christoph Egger <christoph@debian.org>  Fri, 08 Apr 2011 23:43:02 +0200

clisp (1:2.49-6) unstable; urgency=low

  * Output config.log from where it exists

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 18:24:29 +0200

clisp (1:2.49-5) unstable; urgency=low

  * Output config log on failed builds to debug s390 build failure

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 16:27:09 +0200

clisp (1:2.49-4) unstable; urgency=low

  * Adapt package to broken new dh-lisp version. Autobuilders should now produce
    working packages again.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Mar 2011 10:28:01 +0100

clisp (1:2.49-3) unstable; urgency=low

  * Declare a conflict between clisp and clisp-dev to catch overwriting
    clisp-link. Missed that during testing. (Closes: #614889)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 18 Feb 2011 05:44:09 +0100

clisp (1:2.49-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * Updated debian/README.building with updated information
  * 2.49 also fixes a bug related to store-value. (Closes: #607743)
  * Go with the flow and convert to use quilt
  * Building for release with branch debian-2.49-2

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Peter Van Eynde ]
  * Move new-clx demos to the documentation

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Feb 2011 20:38:32 +0100

clisp (1:2.49-1) experimental; urgency=low

  * Use libsigsegv 2.8 should fix a few issues. (Closes: 566686)
  * conflict against libreadline6 as it would be illegal to link
    against that. (Closes: 553741)
  * Use bash for clisp-link (Closes: #530054)
  * New upstream version (Closes: #462742)3
  * Redid debianization from scratch.
    (Closes: #504514,#177057,#462085, #488042, #462088, #433592, #433596)
  * Dropped conflicts with ancient versions of clisp.
  * Changed build system on powerpc, the resulting image
    passes all tests, so should Closes: #592768
  * We got a fix the 'file with wrong *pathname-encoding* in ~/' bug.
    (Closes: #443520)
  * Fix the build on Sparc by disabling FFI and dynamic modules completely.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Sep 2010 07:31:59 +0200

clisp (1:2.48-3) unstable; urgency=medium

  * Re-Add s390 to -doc's architectures, was removed by accident
  * Replace arm by armel in debian/control
  * urgency=medium due to rc bug fix and asdf/clc transition waiting for it
  * Upgrade to source 1.0

 -- Christoph Egger <christoph@debian.org>  Wed, 07 Jul 2010 23:40:17 +0200

clisp (1:2.48-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * forgot to change clisp-dev to lisp section
  * Fixed bdb.c to handle new berkely-db version (Closes: #549762)

  [ Christoph Egger ]
  * Pass --build to all ./configure runs (Closes: #546355)
  * Upload
  * Apply build parameters from arm also to armel
  * Add myself to uploaders

 -- Christoph Egger <christoph@debian.org>  Sun, 04 Jul 2010 13:26:01 +0200

clisp (1:2.48-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add "Breaks: cl-asdf (<< 2:1.704-1)" (Closes: #579460)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 05 May 2010 10:39:00 +0200

clisp (1:2.48-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb4.7-dev as proposed by Ilya Barygin
    (Closes: #549762)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 23 Apr 2010 11:25:30 +0200

clisp (1:2.48-1) unstable; urgency=low

  * New upstream release
  * move clisp-link patch into git repository
  * Moved instructionset definition patch into git.
  * removed quilt horror
  * Updated Standards-Version no real changes
  * Changed Section to lisp
  * go to debhelper v7
  * added build conflict against libsigsegv 2.7 and higher
  * updated doc directory that gets build by upstream
  * added ${misc:Depends} to Depends
  * updated copyright file
  * Changed makemake to not use identical temporary targets a few times,
    (Closes: #494413)
  * Make clisp-link always work with bash. Closes: #530054
  * Fix bashism in clisp.sh Closes: #530055
  * Added debian/README.building file
  * added conflict with older clc

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 03 Sep 2009 04:52:49 +0100

clisp (1:2.44.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Readd s390 support.
  * Remove host instructionset definition, regenerate src/configure.
    (closes: #488817)

 -- Bastian Blank <waldi@debian.org>  Sun, 10 Aug 2008 09:28:14 +0000

clisp (1:2.44.1-4) unstable; urgency=low

  * debian/control:
    - drop s390 support, it seems it really needs ./configure --build.

 -- Luca Capello <luca@pca.it>  Wed, 23 Jul 2008 19:50:10 +0200

clisp (1:2.44.1-3) unstable; urgency=low

  * doc/_clisp.1:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * doc/faq.xml:
    - restore upstream version, modifications to upstream files must
      be managed through a Debian-specific patch system.

  * debian/clisp-doc.install:
    + correct install path.

  * debian/clisp-dev.install:
    + install clisp-link manpage.

  * debian/clisp.install:
    + install clisp manpage.

  * debian/control:
    + build-depend on quilt to manage patches.
    - remove libxt-dev from clisp Build-Depends: and clisp-dev
      Depends:, they are not used and generate unnecessary
      library inclusions in clisp-dev makevars, thanks to Jörg
      Sommer <joerg@alea.gnuu.de> (Closes: #462087).

  * debian/dirs:
    - remove, useless.

  * debian/patches/series: new file.
  * debian/patches/01_fix-comment-in-src-ariarm.d.patch:
    + fix FTBFS: backport upstream fix (Closes: #490944).
  * debian/patches/02_add-clisp-link-manpage.patch:
    + first version for the clisp-link manpage.

  * debian/rules:
    + fix FTBFS: since backporting the upstream support for standard
      autoconf options (--build and --host) is too much a pain, add a
      `export CC=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc`,
      thanks to  Bastian Blank <waldi@debian.org> (Closes: #488817).
    + adapt to quilt.
    - remove unwanted upstream doc/ files on 'install' target.
    - remove useless dh_installman call from 'binary-indep' target.

 -- Luca Capello <luca@pca.it>  Mon, 21 Jul 2008 02:14:29 +0200

clisp (1:2.44.1-2) unstable; urgency=low

  * debian/control:
    + add libdb-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #462086).
    + add libffcall1-dev to clisp-dev Depends:, thanks to Jörg Sommer
      <joerg@alea.gnuu.de> (Closes: #468090).

  * debian/rules:
    + fix FTBFS: allow 'MAKEFLAGS=-jN', thanks to Albin Tonnerre
      <albin.tonnerre@gmail.com> for the patch (Closes: #487381).

 -- Luca Capello <luca@pca.it>  Wed, 09 Jul 2008 17:25:15 +0200

clisp (1:2.44.1-1) unstable; urgency=low

  * New bugfix Upstream Version:
    + Add a workaround against a gcc 4.2.x bug [ 1836142 ].
    + Make it work with gcc 4.3 snapshots [ 1836142 ]
      fix Debian FTBFS, thank Sebastian Bober <sbober@servercare.de>
      for having discovered it (Closes: #474810).

  * debian/clisp*.install:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/clisp.sh:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    - remove xutils from Build-Depends: and clisp-dev Depends:.
    - remove trailing space and line.

  * debian/preinst:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/postrm:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove trailing spaces.

  * debian/rules:
    + replace 2.44 with 2.44.1 to reflect the new upstream version.
    - remove suspicious line.
    - remove trailing spaces.
    - do not try to change permissions for ffcall/configure, since
      GNU libffcall is no more included since version 2.44.
    - do not try to change permissions for libcharset/configure, since
      GNU libffcall is no more included since version 2.43 (its use
      has been replaced by gnulib/localcharset)

 -- Luca Capello <luca@pca.it>  Thu, 19 Jun 2008 20:52:36 +0200

clisp (1:2.44-1) unstable; urgency=low

  * New Upstream Version
    Major changes:
     * CLISP does not come with GNU libffcall anymore.
       This is now a separate package and should be installed separately.

     * CLOS now issues warnings of type CLOS:CLOS-WARNING.
       See <http://clisp.cons.org/impnotes/mop-clisp.html#mop-clisp-warn>
       for details.

     * Speed up list and sequence functions when :
         TEST is EQ, EQL, EQUAL or EQUALP.

     * Rename EXT:DELETE-DIR, EXT:MAKE-DIR, and EXT:RENAME-DIR to
       EXT:DELETE-DIRECTORY, EXT:MAKE-DIRECTORY, and EXT:RENAME-DIRECTORY,
       respectively, for consistency with EXT:PROBE-DIRECTORY,
       EXT:DEFAULT-DIRECTORY and CL:PATHNAME-DIRECTORY.
       The old names are still available, but deprecated.

     * The :VERBOSE argument to SAVEINITMEM defaults to a new user variable
       *SAVEINITMEM-VERBOSE*, intial value T.
       See <http://clisp.cons.org/impnotes/image.html> for details.

     * Bug fixes:
       + Fix FRESH-LINE at the end of a line containing only TABs. [ 1834193 ]
       + PPRINT-LOGICAL-BLOCK no longer ignores *PRINT-PPRINT-DISPATCH-TABLE*.
         [ 1835520 ]
       + BYTE is now a full-fledged type. [ 1854698 ]
       + Fix linux:dirent definition in the bindings/glibc module. [ 1779490 ]
       + Symbolic links into non-existent directories can now be deleted.
           [ 1860489 ]
       + DIRECTORY :FULL on directories now returns the same information as
         on files. [ 1860677 ]
       + CLISP no longer hangs at the end of a script coming via a pipe
         ("clisp < script.lisp" or "cat script | clisp"). [ 1865567 ]
       + When *CURRENT-LANGUAGE* is incompatible with *TERMINAL-ENCODING*,
         CLISP no longer goes into an infinite recursion trying to print
         various help messages. [ 1865636 ]
       + Fix the "Quit" debugger command. [ 1448744 ]
       + Repeated terminating signals kill CLISP instantly with the correct
         exit code. [ 1871205 ]
       + Stack inspection is now safer. [ 1506316 ]
       + Errors in the RC-file and init files are now handled properly.
          [ 1714737 ]
       + Avoid the growth of the restart set with each image save. [ 1877497 ]
       + Handle foreign functions coming from the old image which cannot be
         validated. [ 1407486 ]
       + Fix signal code in bindings/glibc/linux.lisp. [ 1781476 ]

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Feb 2008 06:36:09 +0100

clisp (1:2.43-2) unstable; urgency=low

  * now using git
  * Fixed Vcs-Git entry
  * Changed to group maintanance
  * updated standard version no real changes
  * added watch file

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 19 Dec 2007 11:01:26 +0100

clisp (1:2.43-1) unstable; urgency=low

  * New upstream release.
  * removed the lisp-* hack, use real version in all scripts
    (Closes: #450452)
  * Use default gcc again
  * Fixed dpkg warnings about "unable to delete old directory `/usr/lib/clisp"
    (Closes: #448431)
  * Added support for module berkeley-db (Closes: #443804)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Dec 2007 05:31:23 +0100

clisp (1:2.42-3) unstable; urgency=low

  * Forgot to regenerate configure script. 2.42 for real this time!

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Oct 2007 23:41:53 +0200

clisp (1:2.42-2) unstable; urgency=low

  * Fix glob expansion
  * Fix clisp version number.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Oct 2007 06:11:54 +0200

clisp (1:2.42-1) unstable; urgency=low

  * New upstream version.
  * added hurd-i386 to architectures (Closes: #434719)
  * Use Vcs-Bzr in control file
  * clisp now uses /usr/lib/clisp-<version>

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 26 Oct 2007 05:13:42 +0200

clisp (1:2.41-2) unstable; urgency=low

  * Fixed XS-Vcs-Bzr item in the control file.
  * Added hurd-i386 support. (Closes: #409827, #409827)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 14 Sep 2007 11:16:12 +0200

clisp (1:2.41-1) unstable; urgency=low

  * updated XS-Vcs-Svn field
  * New upstream release. Mostly bugfixes and:
    - New module libsvm interface
    - The same internal interface now handles FFI forms DEF-CALL-OUT and
      DEF-C-VAR regardless of the presence of the :LIBRARY argument.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 13 Oct 2006 15:19:48 +0200

clisp (1:2.40-2) unstable; urgency=low

  * Included documentation patch from
    https://sourceforge.net/tracker/?func=detail&atid=101355&aid=1569234&group_id=1355
  * Fix FTBFS on ia64 by not using -O2 when compiling. Stable gcc, isn't it?
  * On second thoughts, let us try if doing this also helps sparc and mipsel.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Oct 2006 18:10:31 +0200

clisp (1:2.40-1) unstable; urgency=low

  * New upstream version.
  * Don't run test anymore as they make the build fail hard.
  * Fixed clisp manual page

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  2 Oct 2006 14:43:30 +0200

clisp (1:2.39-3) unstable; urgency=medium

  * Disable FFI on mipsel, fixes the FTBFS.
  * Ignore the results of running the tests because the network
    stack is sometimes not correct on the buildd daemons (localhost
    does not resolve). We still do run the tests and we will review
    the output of the buildd daemons for 'real' problems.
    Fixes the FTBFS for amd64, hppa. (Closes: 388752)
  * Added XS-X-Vcs-Darcs header

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Sep 2006 07:57:43 +0200

clisp (1:2.39-2) unstable; urgency=low

  * Don't use -O0 anymore for ia64, hint from Dr. Werner Fink at suse.de
  * Run tests after building the clisp.
  * Drop support for sparc. Not having a machine to test sparc problems
    on just makes it too difficult to support. I hope not many users will
    be impacted. (Closes: #386075)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Sep 2006 10:41:00 +0200

clisp (1:2.39-1) unstable; urgency=low

  * Included patch from Thiemo Seufer to re-enable FFI for mips/mipsel.
    Closes: #377722
  * New upstream. Highlights of this new version:
    - SAVEINITMEM now accepts :SCRIPT argument
    - FFI:UINT64 and FFI:SINT64 are now compatible with C's long long type.
    - Stack overflow detection and recovery finally work fine on Unix.
    - It is now possible to specify the default method-combination of a generic
      function,
    - Readline completion works with non 1:1 terminal encodings, e.g. UTF-8.
    - WITH-KEYBOARD works with a Unix tty even when SLIME hijacks *TERMINAL-IO*.
    - New functions: POSIX:FFS, POSIX:PATHCONF.
    - Bug fixes:
      + SOCKET:SOCKET-SERVER :INTERFACE now behaves as documented.
      + EXT:READ-BYTE-NO-HANG and SOCKET:SOCKET-STATUS used to hang on
        buffered binary sockets.
      + Allow DESTRUCTURING-BIND (a . b) with circular and dotted lists.
      + ADJUST-ARRAY of zero length adjustable string now works.
      + TIME now reports correct results when the heap grows over 4GB.
      + RAWSOCK functions now handle :START/:END arguments correctly.
      + BDB:DBC-GET now accepts :READ-COMMITTED and :READ-UNCOMMITTED.
      + POSIX:GROUP-INFO and POSIX:USER-INFO now handle errors correctly.
  * Use CFLAGS as configure now respects this.
  * Fixed clisp.1 manual page, it had '.sp \-1'.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 28 Jul 2006 06:07:21 +0200

clisp (1:2.38-8) unstable; urgency=low

  * Depend on new libsigsegv-dev version

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  2 Jul 2006 23:48:29 +0200

clisp (1:2.38-7) unstable; urgency=low

  * Depend on non-broken libsigsegv-dev
  * use -O0 on ia64

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  2 Jul 2006 00:21:02 +0200

clisp (1:2.38-6) unstable; urgency=low

  * Force ia64 to compile with -O0, this seems to fix the crashes
    when using gcc-4.1. Closes: #373697
  * For the same bug: we now undef unused before including signal.h
    because unused is used in the user_fpregs struct on arm.
    Should fix FTBFS on arm.
  * Make configure and other scripts executable on clean

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 17 Jun 2006 22:02:06 +0200

clisp (1:2.38-5) unstable; urgency=low

  * Added support for GNU/kFreeBSD (Closes: #366143)
  * Updated standard version without real changes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 15 May 2006 00:57:39 +0200

clisp (1:2.38-4) unstable; urgency=low

  [Peter Van Eynde]
  * Redid Depends for clisp, this should
    fix the FTBFS probems for mcvs.
    (Closes: #346164)
  * Use newer libsigsegv
  * Try to rebuild for m68k.
  * Updated standards version without real changes.

  [René van Bevern]
  * debian/control: remove dependency on "common-lisp-controller (>=
    4.27)", it is added by dh-lisp and should not resoult in a double
    dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  2 May 2006 20:00:32 +0200

clisp (1:2.38-3) unstable; urgency=low

  * Build with gcc-4.1, should fix:
    Closes: #344525, #349229.
  * Also support GNU/kFreeBSD. Closes: #342640
  * Removed build-essential dependency of clisp-dev and replaced it
    with the used packages.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Apr 2006 16:23:56 +0200

clisp (1:2.38-2) unstable; urgency=low

  * Integrated ubuntu patches from Stefan Potyra <sistpoty@ubuntu.com>:
    + Adding a small patch to debian/rules to substitue the dependency
      on gcc-3.3 on these architectures for clisp-dev (with a variable
      in debian/control).
    + Add -falign-functions=4 to CFLAGS to fix FTBFS on AMD64.
      See: https://launchpad.net/products/clisp/+bug/6511
    + Change Predepends of xlibs to libx11-6 libxext6 libxpm4
  * rebuild with updated libsigsegv.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Mar 2006 17:53:13 +0100

clisp (1:2.38-1) unstable; urgency=low

  * New upstream.
  * Maybe amd64 will work with gcc-3.3?
    Is a working debian host to test this on
    not nice? Sigh. We will see if it fails
    again. Seeing the logs would help.

    Thanks to Ubuntu to actually have the
    buildd logs available.
  * As it is impossible to have a dependency on gcc-3.3
    only for some architectures, have _all_ of them
    depend on gcc-3.3, but add build-essential
    for all other architectures.
  * Fixed Build-dep on libreadline-dev (Closes: #351339)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  4 Feb 2006 12:54:43 +0100

clisp (1:2.36-4) unstable; urgency=low

  * fix for:
    'ERROR: Package builds clisp-doc_2.36-3_all.deb
     when binary-indep target is not called.
     This is a bug in the packaging'
  * use v9 sparc as cpu, as the assembler requires this.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 20 Jan 2006 09:43:33 +0100

clisp (1:2.36-3) unstable; urgency=low

  * expanded xlibs-dev build-depends (Closes: #346649)
  * Added ia64 to FFI-less architectures (Closes: #346217)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jan 2006 14:22:55 +0100

clisp (1:2.36-2) unstable; urgency=low

  * Add build-depends on xutils,libxt-dev (Closes: #342552)
  * added kfreebsd-i386 to the architecture list (Closes: #342640)
  * disable FFI on ia64 because it doesn't build
    correctly

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  9 Dec 2005 16:42:20 +0100

clisp (1:2.36-1) unstable; urgency=low

  * New upstream version.
  * Improved errorchecking during installation,
    made removal more failsave.
    Closes: #340274
  * Improved error propagation during installation,
    should signal all errors to clc now. Should fix
    these strange problems we've been seeing.
    Closes: #340274, #340646
  * Try gcc on sparc, could Closes: #341850
  * Could not get it to work on m68k. Upstream
    also does not test anymore on this architecture, so
    for all pratical purposes the port is dead.
    Patches welcome.
    Closes: #162019, #62116, #64853
  * Improved package descriptions.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  8 Dec 2005 08:16:40 +0100

clisp (1:2.35-9) unstable; urgency=low

  * fixed dependency on common-lisp-controller. Forgot to add
    ${misc:Depends} to the control file!
    Closes: #340250
  * Removed Conflict between clisp and clisp-dev, clisp-doc as to avoid
    sbcl-like build problems.
  * Added suggest for slime.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 24 Nov 2005 07:21:17 +0100

clisp (1:2.35-8) unstable; urgency=low

  * Corrected the conflicts of the sub-packages.
  * Removed unrequired patches from the sources
  * Simplified creation of mem files: now the
    original file is always left in place, and
    a new file with clc in created on install.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  5 Nov 2005 23:38:58 +0100

clisp (1:2.35-7) unstable; urgency=low

  * So with gcc-4 on sparc we got the pretty impressive:
    ;; Loading file defs1.lisp ...
    *** - quotient GGGGGGGG0GGGGGGGG0GGGGGGGG0GGGGGGGG\
    0GGGGGGGG0GGGGGGGG0GGGGGGGG / GGGGGGGG\
     is not an integer

    Now on m68k we get the even more impressive:

    cat '/build/buildd/clisp-2.35/src/intparam.c' >> tmp.c
    gcc -D SAFETY=3 -D NO_MULTIMAP_SHM -D NO_MULTIMAP_FILE \
     -D NO_SINGLEMAP -D NO_TRIVIALMAP tmp.c -o intparam
    tmp.c: In function 'main5':
    tmp.c:422: internal compiler error: in instantiate_virtual_regs_lossage,
    at function.c:1442

    So we're going to use gcc-3.3 for both architectures and hope
    that upstream or the gcc maintainers get this one right.

    Change: also use gcc-3.3 for m68k.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 29 Oct 2005 16:55:28 +0200

clisp (1:2.35-6) unstable; urgency=low

  * On sarge on sparc at least clisp does compile with gcc-3.3
    so we force to use 3.3 on sparc. Should Closes: #321177
  * Use ${Source-Version} to force packages to upgrade together.
  * clisp now suggests clisp-dev, but we should still provide a better
    description of what clisp-dev exactly does and why one would need to
    install it. Never mind writing a man page for clisp-link.
    Closes: #329919

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 29 Oct 2005 08:37:28 +0200

clisp (1:2.35-5) unstable; urgency=low

  * Removed patching of source, I prefer to use darcs
  * Safer compilation settings for the more exotic architectures.
    They seem to work in interactive testing, let us see on
    the buildd's.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 Oct 2005 15:09:49 +0200

clisp (1:2.35-4) unstable; urgency=low

  * configure gets rerun gratuitiously (Closes: #334234)
  * Added build-depends on a new version of dh-lisp, to avoid FTBS.
  * Again use gcc 4.0 on all platforms. Hint of Thiemo Seufer

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 21 Oct 2005 23:40:24 +0200

clisp (1:2.35-3) unstable; urgency=low

  * Updated FSF address
  * New maintainer. (Closes: #330076: RFA: clisp -- GNU CLISP, a Common
    Lisp implementation - Debian Bug report logs)
  * Added dependency for quilt

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 17 Oct 2005 23:00:37 +0200

clisp (1:2.35-2) unstable; urgency=low

  * Fix FTBFS caused by charset encoding of fasl version code.

 -- Will Newton <will@debian.org>  Tue, 13 Sep 2005 19:58:33 +0100

clisp (1:2.35-1) unstable; urgency=low

  * New upstream version.
  * Update description.
  * Add support for providing the fasl version, thanks to Rene van Bevern.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 10 Oct 2005 10:00:02 +0200

clisp (1:2.34-5) unstable; urgency=low

  * More build fixes for CLX.

 -- Will Newton <will@debian.org>  Thu, 11 Aug 2005 21:58:31 +0100

clisp (1:2.34-4) unstable; urgency=low

  * Patch from upstream CVS to fix MIT CLX build.
  * Fix previous mips fix.

 -- Will Newton <will@debian.org>  Wed, 10 Aug 2005 20:55:35 +0100

clisp (1:2.34-3) unstable; urgency=low

  * Further build fixes for arm and mips.

 -- Will Newton <will@debian.org>  Tue,  9 Aug 2005 20:22:38 +0100

clisp (1:2.34-2) unstable; urgency=low

  * Fix clisp-dev readline depends.
  * Add build-dep on xutils. (Closes: #321045)
  * Fixes for build on mips, mipsel and arm.

 -- Will Newton <will@debian.org>  Mon,  8 Aug 2005 19:46:27 +0100

clisp (1:2.34-1) unstable; urgency=low

  * New upstream version. (Closes: #163875, #319974)
    - Now includes MOP support.
    - Better ANSI CL compliance.
  * Bump standards version to 3.6.2.
  * Use quilt for patch management.
  * Try gcc 4.0 on all platforms.

 -- Will Newton <will@debian.org>  Sat,  2 Jul 2005 15:18:20 +0100

clisp (1:2.33.2-10) unstable; urgency=low

  * Build dep on gcc 2.95 on mipsel.

 -- Will Newton <will@debian.org>  Wed, 23 Feb 2005 00:00:19 +0000

clisp (1:2.33.2-9) unstable; urgency=low

  * Actually enable FFI on mipsel.

 -- Will Newton <will@debian.org>  Sun, 20 Feb 2005 15:19:15 +0000

clisp (1:2.33.2-8) unstable; urgency=low

  * Acknowledge NMU (Closes: #283171). Thanks Frank!
  * Add patches from Thiemo Seufer to get FFI working on mips/mipsel.
  * Fix URLs in READMEs (Closes: #296000).
  * Build Depend on libreadline5-dev.

 -- Will Newton <will@debian.org>  Sun, 20 Feb 2005 13:40:24 +0000

clisp (1:2.33.2-7.1) unstable; urgency=high

  * NMU
  * Disable FFI on mipsel again, just doesn't seem to work
    (Closes: #283171)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  5 Feb 2005 15:25:35 +0100

clisp (1:2.33.2-7) unstable; urgency=low

  * Fix build so aclocal is not called unnecessarily (Closes: #272670).

 -- Will Newton <will@debian.org>  Wed, 22 Sep 2004 23:29:07 +0100

clisp (1:2.33.2-6) unstable; urgency=low

  * Further mipsel fixing, try and get it right this time.
  * Make clisp-dev depend on gcc-2.95 on mips/mipsel (Closes: #272550).
    - Thanks to Robin Verduijn.

 -- Will Newton <will@debian.org>  Mon, 20 Sep 2004 22:18:31 +0100

clisp (1:2.33.2-5) unstable; urgency=low

  * Add support for FFI on mipsel.

 -- Will Newton <will@debian.org>  Fri, 17 Sep 2004 19:59:02 +0100

clisp (1:2.33.2-4) unstable; urgency=low

  * Fix FFI for mips (Closes: #200400).
    - Thanks to Thiemo Seufer.

 -- Will Newton <will@debian.org>  Wed, 15 Sep 2004 21:25:19 +0100

clisp (1:2.33.2-3) unstable; urgency=low

  * Fix FFI for ia64 (Closes: #200245, #269556).

 -- Will Newton <will@debian.org>  Mon,  6 Sep 2004 23:34:53 +0100

clisp (1:2.33.2-2) unstable; urgency=low

  * Add common-lisp-controller v4 support (Closes: #263009).
    - Thanks to Kevin M. Rosenberg.

 -- Will Newton <will@debian.org>  Sat, 14 Aug 2004 17:05:07 +0100

clisp (1:2.33.2-1) unstable; urgency=low

  * New upstream version.
  * Fix build on alpha (Closes: #253679).

 -- Will Newton <will@debian.org>  Wed,  9 Jun 2004 20:15:44 +0100

clisp (1:2.33.1-1) unstable; urgency=low

  * New upstream version.
  * Split out clisp-dev package (Closes: #249914).

 -- Will Newton <will@debian.org>  Sun, 23 May 2004 12:16:25 +0100

clisp (1:2.33-2) unstable; urgency=medium

  * Build fixes for alpha, arm and hppa.
  * Updated description.

 -- Will Newton <will@debian.org>  Wed, 24 Mar 2004 19:25:50 +0000

clisp (1:2.33-1) unstable; urgency=low

  * New upstream release.
  * Fixes build on 64bit userland. (Closes: #221242)

 -- Will Newton <will@debian.org>  Tue, 23 Mar 2004 14:02:36 +0000

clisp (1:2.32.94-1) unstable; urgency=low

  * Pre-release of 2.33.
  * Merging of many patches upstream.

 -- Will Newton <will@debian.org>  Mon, 15 Mar 2004 17:38:36 +0000

clisp (1:2.32-7) unstable; urgency=low

  * Further purging of preprocessor pasting to appease gcc.
  * Workaround gcc bug with asm constraints on m68k.
  * Declare Pre-Depends (ick) on xlibs. (Closes: #228629)

 -- Will Newton <will@debian.org>  Thu, 19 Feb 2004 20:32:10 +0000

clisp (1:2.32-6) unstable; urgency=low

  * Remove Suggests: xlibs, shlibdeps does the right thing.
  * Fix libsigsegv usage on arm.
  * Set LD_LIBRARY_PATH so we can find X libs in postinst.
    (Closes: #228629)
  * Do not unconditionally purgew all of /usr/lib/clisp.
    (Closes: #230177)

 -- Will Newton <will@debian.org>  Thu, 29 Jan 2004 18:04:08 +0000

clisp (1:2.32-5) unstable; urgency=low

  * Add Suggests: gdb and a note in README.Debian mentioning that
    using the disassemble function requires gdb installed.
  * Shuffle declaration in lispbibl.d to fix arm build.
  * Disable FFI on ia64 to fix FTBFS. (Closes: #224462)
  * Add a missing typecode guard to fix build on 64bit arches.

 -- Will Newton <will@debian.org>  Mon, 19 Jan 2004 20:44:17 +0000

clisp (1:2.32-4) unstable; urgency=low

  * OK, I give in. Try disabling typecodes on all arches.

 -- Will Newton <will@debian.org>  Thu, 15 Jan 2004 00:39:24 +0000

clisp (1:2.32-3) unstable; urgency=low

  * Fix for typecodes build (ia64, alpha).

 -- Will Newton <will@debian.org>  Mon,  5 Jan 2004 21:57:11 +0000

clisp (1:2.32-2) unstable; urgency=low

  * Reintroduce mips build fix.

 -- Will Newton <will@debian.org>  Sat,  3 Jan 2004 13:44:49 +0000

clisp (1:2.32-1) unstable; urgency=low

  * New upstream version.
  * new-clx module supports X authentication (Closes: #166094)
  * clisp.h no longer includes non-existant files (Closes: #216971)
  * Symlink clisp-link into /usr/bin (Closes: #175974)
  * Current cl-asdf seems to work fine (Closes: #197029)

 -- Will Newton <will@debian.org>  Thu,  1 Jan 2004 22:30:57 +0000

clisp (1:2.31-4) unstable; urgency=low

  * Removed Build-Conflicts.
  * Build depend on new version of libsigsegv-dev.
  * Add Conflicts on old versions of clisp-doc. (Closes: #211873)
  * Rebuild against new libc6 and libsigsegv.
    - Should fix hppa build (Closes: #199025)

 -- Will Newton <will@debian.org>  Mon, 22 Sep 2003 09:23:29 +0100

clisp (1:2.31-3) unstable; urgency=low

  * Fix build without dynamic ffi.
  * Add Build-Conflicts on broken libc6-dev.
  * Add fix for ppc build.

 -- Will Newton <will@debian.org>  Mon,  8 Sep 2003 13:19:31 +0100

clisp (1:2.31-2) unstable; urgency=low

  * Really don't build ffcall on unsupported arches.
  * Add mips to list of unsupported arches.

 -- Will Newton <will@debian.org>  Fri,  5 Sep 2003 09:54:53 +0100

clisp (1:2.31-1) unstable; urgency=low

  * New upstream version.
  * Bumped DH_COMPAT to 4.
  * Bumped standards version to 3.6.1.
  * Cleaned up build process.

 -- Will Newton <will@debian.org>  Thu,  4 Sep 2003 18:14:02 +0100

clisp (1:2.30-9) unstable; urgency=low

  * Fix build on arm.
  * Disable global register variables on all architectures.

 -- Will Newton <will@debian.org>  Fri,  6 Jun 2003 09:52:05 +0100

clisp (1:2.30-8) unstable; urgency=low

  * Fix build with gcc-3.3 (Closes: #196246)

 -- Will Newton <will@debian.org>  Thu,  5 Jun 2003 19:35:16 +0100

clisp (1:2.30-7) unstable; urgency=low

  * Acknowledge NMU (Closes: #174272,#173728,#162186)
  * Work around gcc bug with global register variables.
    (Closes: #183796, #184632)
  * Updated Standards-Version.

 -- Will Newton <will@debian.org>  Mon, 12 May 2003 18:52:05 +0100

clisp (1:2.30-6.1) unstable; urgency=low

  * NMU with permission
  * Remove obsolete install-defsystem & remove-defsystem options in clisp.sh
  * Add preinst and postrm files to remove .mem and .run files.
  Closes:#174272,#173728,#162186.
  * Exclude lispinit.mem from md5sums since this file is modified after the
  Common Lisp Controller installation.

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 Mar 2003 10:32:15 -0700

clisp (1:2.30-6) unstable; urgency=low

  * Added common-lisp-controller fixes from Kevin M. Rosenberg.
  * Closes: #165722, #170651
  * Use new-clx module on capable architectures, mit-clx on others.
  * Build-Depend xlibs-dev, Suggest xlibs

 -- Will Newton <will@debian.org>  Tue, 10 Dec 2002 22:01:24 +0000

clisp (1:2.30-5) unstable; urgency=low

  * More alpha fixes.

 -- Will Newton <will@debian.org>  Tue, 24 Sep 2002 00:06:58 +0100

clisp (1:2.30-4) unstable; urgency=low

  * Alpha build fix.
  * Close bugs from previous changelog entries
   - Closes: #123035, #126913, #118818, #123076, #149131
   - Closes: #46059, #108901, #130077
  * Disable FFI on mipsel.
  * Try and fix m68k.

 -- Will Newton <will@debian.org>  Mon, 23 Sep 2002 16:56:41 +0100

clisp (1:2.30-3) unstable; urgency=low

  * Fix ARM build.
  * common-lisp-controller support. (Closes: Bug#108884)
    - Thanks to Kevin M. Rosenberg <kmr@debian.org>
  * Fix bashisms in c-l-c code.
  * First upload as a DD!

 -- Will Newton <will@debian.org>  Sun, 22 Sep 2002 21:08:40 +0100

clisp (1:2.30-2) unstable; urgency=low

  * Add readline build depends.
  * Better fix for hppa crash.
  * Uploaded sponsored by "Matthew Danish <mdanish@andrew.cmu.edu>"

 -- Will Newton <will@debian.org>  Fri, 20 Sep 2002 03:16:01 +0100

clisp (1:2.30-1) unstable; urgency=low

  * New upstream version
    - Use system versions of libiconv, gettext and readline.
    - Split off libsigsegv.
    - Use UCS-4 characters internally.
    - Russian translation.
  * Disable dynamic FFI on ARM
  * Disable register allocation on sparc. (Closes: Bug#46059, Bug#108901)
  * Disable dynamic FFI on hppa, fix arihppa.d.
  * Should finally build on hppa.

 -- Will Newton <will@debian.org>  Wed, 18 Sep 2002 01:33:41 +0100

clisp (1:2.29-2) unstable; urgency=low

  * Add regexp module support.

 -- Will Newton <will@debian.org>  Sun, 11 Aug 2002 22:06:51 +0100

clisp (1:2.29-1) unstable; urgency=low

  * New upstream release.

 -- Will Newton <will@debian.org>  Wed, 31 Jul 2002 01:48:37 +0100

clisp (1:2.28-2) unstable; urgency=low

  * Export syscalls (Closes: Bug#123076)
  * Support CLX (Closes: Bug#118818)
  * Fixed in last upload (Closes: Bug#149131, Bug#123035, Bug#126913)
  * Acknowledge NMU (Closes: Bug#130077)
  * Add glibc bindings.
  * Yet more hppa fixes.
  * First attempt at mipsel support.

 -- Will Newton <will@debian.org>  Sat, 13 Jul 2002 14:57:06 +0100

clisp (1:2.28-1) unstable; urgency=low

  * Final set of hppa fixes.
  * Release into the wild.

 -- Will Newton <will@debian.org>  Fri, 14 Jun 2002 15:22:41 +0100

clisp (1:2.28-0.6) unstable; urgency=low

  * Hopefully fix mips build.
  * More hppa fixes.

 -- Will Newton <will@debian.org>  Thu, 21 Mar 2002 15:57:10 +0000

clisp (1:2.28-0.5) unstable; urgency=low

  * Hopefully fix ARM build.

 -- Will Newton <will@debian.org>  Thu, 21 Mar 2002 13:32:07 +0000

clisp (1:2.28-0.4) unstable; urgency=low

  * Hopefully fix sparc build.

 -- Will Newton <will@debian.org>  Thu, 21 Mar 2002 03:15:22 +0000

clisp (1:2.28-0.3) unstable; urgency=low

  * Update config.{sub,guess}.
  * Fix alpha build.

 -- Will Newton <will@misconception.org.uk>  Wed, 20 Mar 2002 18:32:52 +0000

clisp (1:2.28-0.2) unstable; urgency=low

  * New maintainer.
  * Really fix hppa build.

 -- Will Newton <will@misconception.org.uk>  Mon, 18 Mar 2002 18:12:20 +0000

clisp (1:2.28-0.1) unstable; urgency=low

  * New upstream release. (closes: Bug#134565)
  * Build with -fPIC on hppa. (closes: Bug#123035, Bug#126913)

 -- Will Newton <will@misconception.org.uk>  Mon, 18 Mar 2002 18:12:07 +0000

clisp (1:2.27-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * bison, gettext build-deps added.

 -- Francesco P. Lovergine <frankie@debian.org>  Tue,  5 Feb 2002 16:38:18 +0100

clisp (1:2.27-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Now build on alpha.
    (closes: #111285)
  * groff build-dep added.
  * lintian clean.


 -- Francesco P. Lovergine <frankie@debian.org>  Wed, 30 Jan 2002 17:32:03 +0100

clisp (1:2.27-0.3) unstable; urgency=low

  * Non-maintainer upload
  * global register assignment in src/lispbibl.d disabled for s390,
    doesn't work on s390 probably due to a compiler bug.
  * s390 ffcall patches applied. (Closes: #130077)

 -- Gerhard Tonn <gt@debian.org>  Mon, 21 Jan 2002 07:46:15 +0100

clisp (1:2.27-0.2) unstable; urgency=low

  * Maintainer set to QA.
  * clisp has serious portability issues that I cannot resolve, and upstream
    appears to have gone dormant again (6 months since last release).

 -- Matt Zimmerman <mdz@debian.org>  Tue, 15 Jan 2002 17:46:15 -0500

clisp (1:2.27-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Previous NMU was becoming hack upon hack upon hack, so I gave up and
    started over.  Last maintainer upload was over 1 year ago.
  * New upstream version (Closes: #96599)
    - Already includes the suggested patch for ARM (Closes: #87395)
  * Repackaged from scratch
    - Doesn't try to remove files outside the build tree (Closes: #74610)
    - Compresses documentation, and separates into clisp-doc
      (Closes: #96602)
    - COPYRIGHT folded into copyright (Closes: #96600)
    - Build dependencies are included (Closes: #70353)
    - /usr/lib/clisp/{base,full} are in fact exactly alike.  Replace
      the contents of base with symlinks (Closes: #69992)
    - Remove duplicate copies of man pages (Closes: #65609)
  * Use latest config.{guess,sub} (2.27 already handles them correctly)
    (Closes: #104879)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Aug 2001 20:23:05 -0400

clisp (2000-03-06-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Update config.{guess,sub} (Closes: #104879)
  * Fix */autoconf/aclocal.m4's CL_CANONICAL_HOST macro
    to work with GNU system types where the 'os' portion takes
    the form 'kernel-system'
  * debian/rules: Remove config.cache files from source, and other
    miscellaneous clean fixes
  * debian/rules: Make /usr/lib/clisp/base a symlink to full
    (Closes: #69992)
  * Apply patch from Peter Naulls <peter@erble.freeserve.co.uk> to hopefully
    fix compilation on ARM. (Closes: #87395)
  * Don't try to remove files in /usr/share in debian/rules
    (Closes: #74610)
  * Compress documentation, and don't install impnotes.html twice
    (Closes: #96602)
  * Verified that /usr/share/doc/clisp/copyright is present; COPYRIGHT
    is the original file from the upstream sources (Closes: #96600)
  * Verified that build dependencies are present and sane (Closes: #70353)
  * Removed over 300k of SETI@Home data files added by diff.gz.  This, and
    the improved clean target result in a much more manageable diff.gz.
  * This package needs source code reorganization.  There are a lot of
    files duplicated within the package, and copied from other packages.
  * There is a far newer upstream version (2.27, 2001/07/16) which
    probably fixes many problems.

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Aug 2001 19:26:19 -0400

clisp (2000-03-06-2) unstable; urgency=low

  * fixed problem with package creating user name appearing in clisp
    binary. (closes: #62923).

 -- Kevin Dalley <kevind@rahul.net>  Fri, 12 May 2000 01:46:29 -0700

clisp (2000-03-06-1) unstable; urgency=low

  * new upstream release.

 -- Kevin Dalley <kevind@rahul.net>  Sat, 18 Mar 2000 12:05:46 -0800

clisp (1999-07-22-4) frozen unstable; urgency=low

  * correct ownership of files.  All files should be owned by root, rather
    than by user who packages clisp (closes: #516687).

 -- Kevin Dalley <kevind@rahul.net>  Sun, 16 Jan 2000 14:56:59 -0800

clisp (1999-07-22-3) unstable; urgency=low

  * corrected installation of clisp (closes: #48607).

 -- Kevin Dalley <kevind@rahul.net>  Thu, 28 Oct 1999 17:41:41 -0700

clisp (1999-07-22-2) unstable; urgency=low

  * corrected links from /usr/doc to /usr/share/doc

 -- Kevin Dalley <kevind@rahul.net>  Wed, 27 Oct 1999 15:14:01 -0700

clisp (1999-07-22-1) unstable; urgency=low

  * new release of clisp (closes: #46043) (probably closes: #46059,
    requires sparc compilation to check)

 -- Kevin Dalley <kevind@rahul.net>  Wed, 27 Oct 1999 11:20:37 -0700

clisp (1999-01-08-2) unstable; urgency=low

  * additional patch for m68k (closes: #36525)

 -- Kevin Dalley <kevind@rahul.net>  Tue, 27 Apr 1999 01:19:43 -0700

clisp (1999-01-08-1) unstable; urgency=low

  * Changed bytecode format. All .fas files generated by previous CLISP
    versions are invalid and must be recompiled.
  * installed {bytecode,impnotes}.html in clisp/doc/html (closes bug #33038).
  * recompiled for glibc2.1 (closes: #35653)
  * added fixed m68k syntax (probably closes: #28975)

 -- Kevin Dalley <kevind@rahul.net>  Wed,  7 Apr 1999 00:06:02 -0700

clisp (1998-09-09-2) unstable; urgency=low

  * fixed location where lisp.run is expected to be. (closes bug #31591)

 -- Kevin Dalley <kevind@rahul.net>  Thu,  7 Jan 1999 21:44:53 -0800

clisp (1998-09-09-1) unstable; urgency=low

  * first release of 1998-09-09 (believed to fix bugs #20844 and #23328)
  * COPYRIGHT file removed (fixes bug #21952)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 27 Dec 1998 04:11:35 -0800

clisp (1997-12-06-1) unstable; urgency=low

  * new version of clisp

 -- Kevin Dalley <kevind@rahul.net>  Sun, 22 Feb 1998 19:31:55 -0800

clisp (1997-09-25-1) unstable; urgency=low

  * first release of clisp.

 -- Kevin Dalley <kevind@rahul.net>  Thu, 22 May 1997 23:51:34 -0700
